Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Wed, 7 Jun 2023 09:45:40 +0100

On Wed, Jun 07, 2023 at 05:33:53AM +0000, Oliver Upton wrote:
> On Wed, Jun 07, 2023 at 11:05:21AM +1000, Stephen Rothwell wrote:
> > On Tue, 6 Jun 2023 11:49:27 +1000 Stephen Rothwell <[email-masked]> wrote:
> > > Today's linux-next merge of the kvm-arm tree got a conflict in:
> > > 
> > >   arch/arm64/kernel/cpufeature.c
> > > 
> > > between commits:
> > > 
> > >   b7564127ffcb ("arm64: mops: detect and enable FEAT_MOPS")
> > >   c1fa32c8f189 ("arm64: cpufeature: add TCR2 cpucap")
> > >   b5a8e35236ee ("arm64: cpufeature: add Permission Indirection Extension cpucap")
> > > 
> > > from the arm64 tree and commit:
> > > 
> > >   c876c3f182a5 ("KVM: arm64: Relax trapping of CTR_EL0 when FEAT_EVT is available")
> > > 
> > > from the kvm-arm tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.
> > 
> > Commit b5a8e35236ee changed a bit, so the new resolution is below.

Thanks Stephen. I regenerated the arm64 for-next/feat_s1pie branch since
the old one was not archived on lore. While doing that, there were some
minor fixups.

> Catalin, I'm  only planning on dragging in the MOPS branch as needed
> due to some more involved conflicts that'll arise from KVM ID register
> changes. Otherwise the resolution seems trivial enough and doesn't need
> to be explicitly dealt with. Still learning the ropes, so all ears if
> anyone disagrees :)

If there are trivial conflicts, we usually leave them in (Linus doesn't
mind). For anything non-obvious, feel free to pull the relevant branches
from the arm64 tree into the KVM one. I don't plan to rebase any of them
now.

-- 
Catalin